com.genesyslab.wfm7.API.service.config712

## Class CfgRotationWeekDay

- java.lang.Object
- - com.genesyslab.wfm7.API.service.config712.CfgRotationWeekDay

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgRotationWeekDay
      extends java.lang.Object
      implements java.io.Serializable

  Day Pattern in Week Pattern (CfgRotationWeek) that is part of Rotating Patern (CfgRotation)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private int[]` | `wmActivities` An array of Activity IDs (`CfgActivity`) that are assigned to work on
    `private int` | `wmActivitiesNSizeIs` Number of elements in wmActivities array
    `private int` | `wmDuration` Duration in minutes
    `private boolean` | `wmPossibleDayOff` Day Off Possible (true/false)
    `private int` | `wmShiftId` Shift ID, identifies `CfgShift` object
    `private double` | `wmStartTime` Start Time (`OleDateTime`)
    `private int` | `wmStartTimeFlag` Start Time Flag

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgRotationWeekDay()`
    `CfgRotationWeekDay(int wmShiftId, double wmStartTime, int wmDuration, int wmStartTimeFlag, boolean wmPossibleDayOff, int wmActivitiesNSizeIs, int[] wmActivities)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int[]` | `getWmActivities()` Gets the wmActivities value for this CfgRotationWeekDay.
    `int` | `getWmActivitiesNSizeIs()` Gets the wmActivitiesNSizeIs value for this CfgRotationWeekDay.
    `int` | `getWmDuration()` Gets the wmDuration value for this CfgRotationWeekDay.
    `int` | `getWmShiftId()` Gets the wmShiftId value for this CfgRotationWeekDay.
    `double` | `getWmStartTime()` Gets the wmStartTime value for this CfgRotationWeekDay.
    `int` | `getWmStartTimeFlag()` Gets the wmStartTimeFlag value for this CfgRotationWeekDay.
    `int` | `hashCode()`
    `boolean` | `isWmPossibleDayOff()` Gets the wmPossibleDayOff value for this CfgRotationWeekDay.
    `void` | `setWmActivities(int[] wmActivities)` Sets the wmActivities value for this CfgRotationWeekDay.
    `void` | `setWmActivitiesNSizeIs(int wmActivitiesNSizeIs)` Sets the wmActivitiesNSizeIs value for this CfgRotationWeekDay.
    `void` | `setWmDuration(int wmDuration)` Sets the wmDuration value for this CfgRotationWeekDay.
    `void` | `setWmPossibleDayOff(boolean wmPossibleDayOff)` Sets the wmPossibleDayOff value for this CfgRotationWeekDay.
    `void` | `setWmShiftId(int wmShiftId)` Sets the wmShiftId value for this CfgRotationWeekDay.
    `void` | `setWmStartTime(double wmStartTime)` Sets the wmStartTime value for this CfgRotationWeekDay.
    `void` | `setWmStartTimeFlag(int wmStartTimeFlag)` Sets the wmStartTimeFlag value for this CfgRotationWeekDay.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wmShiftId

          private int wmShiftId

      Shift ID, identifies `CfgShift` object

    - #### wmStartTime

          private double wmStartTime

      Start Time (`OleDateTime`)

    - #### wmDuration

          private int wmDuration

      Duration in minutes

    - #### wmStartTimeFlag

          private int wmStartTimeFlag

      Start Time Flag

    - #### wmPossibleDayOff

          private boolean wmPossibleDayOff

      Day Off Possible (true/false)

    - #### wmActivitiesNSizeIs

          private int wmActivitiesNSizeIs

      Number of elements in wmActivities array

    - #### wmActivities

          private int[] wmActivities

      An array of Activity IDs (`CfgActivity`) that are assigned to work on

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### CfgRotationWeekDay

          public CfgRotationWeekDay()

    - #### CfgRotationWeekDay

          public CfgRotationWeekDay(int wmShiftId,
                            double wmStartTime,
                            int wmDuration,
                            int wmStartTimeFlag,
                            boolean wmPossibleDayOff,
                            int wmActivitiesNSizeIs,
                            int[] wmActivities)

  - ### Method Detail

    - #### getWmShiftId

          public int getWmShiftId()

      Gets the wmShiftId value for this CfgRotationWeekDay.
      Returns:
        wmShiftId

    - #### setWmShiftId

          public void setWmShiftId(int wmShiftId)

      Sets the wmShiftId value for this CfgRotationWeekDay.
      Parameters:
        `wmShiftId` -

    - #### getWmStartTime

          public double getWmStartTime()

      Gets the wmStartTime value for this CfgRotationWeekDay.
      Returns:
        wmStartTime

    - #### setWmStartTime

          public void setWmStartTime(double wmStartTime)

      Sets the wmStartTime value for this CfgRotationWeekDay.
      Parameters:
        `wmStartTime` -

    - #### getWmDuration

          public int getWmDuration()

      Gets the wmDuration value for this CfgRotationWeekDay.
      Returns:
        wmDuration

    - #### setWmDuration

          public void setWmDuration(int wmDuration)

      Sets the wmDuration value for this CfgRotationWeekDay.
      Parameters:
        `wmDuration` -

    - #### getWmStartTimeFlag

          public int getWmStartTimeFlag()

      Gets the wmStartTimeFlag value for this CfgRotationWeekDay.
      Returns:
        wmStartTimeFlag

    - #### setWmStartTimeFlag

          public void setWmStartTimeFlag(int wmStartTimeFlag)

      Sets the wmStartTimeFlag value for this CfgRotationWeekDay.
      Parameters:
        `wmStartTimeFlag` -

    - #### isWmPossibleDayOff

          public boolean isWmPossibleDayOff()

      Gets the wmPossibleDayOff value for this CfgRotationWeekDay.
      Returns:
        wmPossibleDayOff

    - #### setWmPossibleDayOff

          public void setWmPossibleDayOff(boolean wmPossibleDayOff)

      Sets the wmPossibleDayOff value for this CfgRotationWeekDay.
      Parameters:
        `wmPossibleDayOff` -

    - #### getWmActivitiesNSizeIs

          public int getWmActivitiesNSizeIs()

      Gets the wmActivitiesNSizeIs value for this CfgRotationWeekDay.
      Returns:
        wmActivitiesNSizeIs

    - #### setWmActivitiesNSizeIs

          public void setWmActivitiesNSizeIs(int wmActivitiesNSizeIs)

      Sets the wmActivitiesNSizeIs value for this CfgRotationWeekDay.
      Parameters:
        `wmActivitiesNSizeIs` -

    - #### getWmActivities

          public int[] getWmActivities()

      Gets the wmActivities value for this CfgRotationWeekDay.
      Returns:
        wmActivities

    - #### setWmActivities

          public void setWmActivities(int[] wmActivities)

      Sets the wmActivities value for this CfgRotationWeekDay.
      Parameters:
        `wmActivities` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.